summaryrefslogtreecommitdiff
path: root/test/TEST-21-DFUZZER/test.sh
diff options
context:
space:
mode:
authorFrantisek Sumsal <frantisek@sumsal.cz>2022-06-19 10:39:12 +0200
committerFrantisek Sumsal <frantisek@sumsal.cz>2022-06-19 16:22:35 +0200
commitd768243a95c33e73afe9a7e487acf329884e03c1 (patch)
treeb1c555b152280cf979c3094f1b44e0a674ba71c6 /test/TEST-21-DFUZZER/test.sh
parent354b3364aa63620a0f732bb8a6fe9332a4f550e4 (diff)
downloadsystemd-d768243a95c33e73afe9a7e487acf329884e03c1.tar.gz
test: skip TEST-21-DFUZZER without ASan
as the test is quite time consuming and it yields more useful reports when the target app is built with sanitizers.
Diffstat (limited to 'test/TEST-21-DFUZZER/test.sh')
-rwxr-xr-xtest/TEST-21-DFUZZER/test.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/TEST-21-DFUZZER/test.sh b/test/TEST-21-DFUZZER/test.sh
index ecc04e368c..42e37c8a9c 100755
--- a/test/TEST-21-DFUZZER/test.sh
+++ b/test/TEST-21-DFUZZER/test.sh
@@ -12,6 +12,11 @@ QEMU_TIMEOUT="${QEMU_TIMEOUT:-1800}"
command -v dfuzzer >/dev/null || exit 0
+if ! get_bool "$IS_BUILT_WITH_ASAN"; then
+ echo "systemd is built without ASan, skipping..."
+ exit 0
+fi
+
test_append_files() {
local workspace="${1:?}"